import { jsx } from "react/jsx-runtime";
import { ShieldPlusIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ShieldPlus = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "ShieldPlus", ...props, children: /* @__PURE__ */ jsx(ShieldPlusIcon, { weight: variant }) });
  }
);
ShieldPlus.displayName = "ShieldPlus";
Object.assign(ShieldPlus, { isGdsIcon: true });
export {
  ShieldPlus
};
